<html>
    <head>
        <!-- bootstrap related files -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>

        <!-- jquery import -->
        <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
        <!-- font awesome for the icons -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" >
        
        <!-- custom styles -->
        <link rel="stylesheet" href="styles.css" >

        <!-- initialize script -->
        <script src="initialize.js"></script>
        <!-- filtering scripts -->
        <script src="filter.js"></script>
        <!-- custom script -->
        <script src="script.js"></script>

    </head>
    <body>
        <div class="alert alert-success text-center" id="dashboard" role="alert">
             <h1> Preguntas DASHBOARD </h1>
        </div>

        <div class="container">

                <!-- button to create an pregunta -->
                <button class="btn btn-success" id="createQuestion"> 
                    Create Pregunta <i class="fa fa-plus" aria-hidden="true"></i>
                </button>

                <!-- Filters drop down -->
                <div class="btn-group pull-right">
                    <button type="button" 
                            class="btn btn-default dropdown-toggle" 
                            data-toggle="dropdown" 
                            aria-haspopup="true" 
                            aria-expanded="false">
                    Default Pregunta Filters <i class="fa fa-filter" aria-hidden="true"></i>
                    </button>
                    <div class="dropdown-menu">
                        <a class="dropdown-item" id="onlyMalesFilter"> Male only</a>
                        <a class="dropdown-item" id="fullTimeFilter">  Full-time only</a>
                        <a class="dropdown-item" id="olderThenFilter"> Older than 30</a>
                        <a class="dropdown-item" id="ageBetweenFilter"> Older than 35, but younger than 50</a>
                        <a class="dropdown-item" id="yearsOfExperienceFilter"> Female and 5 to 10 years of experience</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" id="clearFilter"> Clear Filter</a>
                    </div>
                </div>

                <!-- input to seach for an pregunta -->
                <input class="btn btn-default  pull-right" placeholder="Search by name..." id="searchPregunta"> </input>

                <div id="operationStatus"></div>

                <div class="questionForm">
                                <div class="form-row">
                                  <div class="form-group col-md-4">
                                    <label for="pregunta">Pregunta</label>
                                    <input type="text" class="form-control" id="pregunta" placeholder="Pregunta">
                                  </div>
                                  <div class="form-group col-md-4">
                                        <label for="respuesta">Respuesta</label>
                                        <input type="text" class="form-control" id="respuesta" placeholder="Respuesta">
                                      </div>
                                  <div class="form-group col-md-4">
                                    <label for="puntos">Puntos</label>
                                    <input type="puntos" class="form-control" id="puntos" placeholder="Puntos">
                                  </div>
                                </div>
        
                                <div class="form-row">
                                        <div class="form-group col-md-4">
                                          <label for="age">Age</label>
                                          <input type="number" class="form-control" id="age">
                                        </div>
                                        <div class="form-group col-md-4">
                                          <label for="gender">Gender</label>
                                          <select id="gender" class="form-control">
                                            <option>Male</option>
                                            <option>Female</option>
                                          </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                          <label for="yearsOfExperience">Years of Experience</label>
                                          <input type="text" class="form-control" id="yearsOfExperience">
                                        </div>
                                </div>
                                <div class="form-group">
                                  <div class="form-check">
                                    <label class="form-check-label">
                                      <input class="form-check-input" type="checkbox" id="isFullTime"> Check this if he/she is a full time pregunta.
                                    </label>
                                  </div>
                                </div>
                                <div class=text-right>
                                    <button class="btn btn-default" id="cancel">Cancel</button>
                                    <button class="btn btn-primary" id="dynamicBtn"></button>
                                </div>
                </div>
        
                <table class="table table-striped">
                        <thead class="thead-inverse">
                          <tr>
                            <th scope="col">Pregunta</th>
                            <th scope="col">Respuesta</th>
                            <th scope="col">Email</th>
                            <th scope="col">Age</th>
                            <th scope="col">Gender</th>
                            <th scope="col">Years of experience</th>
                            <th scope="col">Full Time</th>
                            <th scope="col">Edit</th>
                            <th scope="col">Delete</th>
                          </tr>
                        </thead>
                        <tbody class="tbodyData">
                        </tbody>
                </table>
        </div>
    </body>
</html>